Subject: Re: Path problems in subshells
From: Earnie Boyd <[email-masked]>
To: Mark Peterson <[email-masked]>, [email-masked]
Cc: [email-masked]
Date: Mon, 24 May 1999 10:13:02 -0700 (PDT)

--- Mark Peterson <[email-masked]> wrote:
> I am having problems using GNAT with cygwin-b20.1 on NT4.0.  I may have
> two problems, but if i put cygnus first in the path, then gnat, then
> the  GNAT Ada compiler is masked over by the gcc in
> H-i586-cygwin32/bin.  If I put GNAT first, then utilities like cat and
> ls cannot be found by sh.exe - that is what the configure script is run
> under, right?
> 
> So the subprocess (configure) does not seem to be able to find the
> executables it needs.
> 
> I hope someone can help.
> 
> Thanks,
> Mark
> 
-8<-
> Found: c:\GNAT\bin\cpp.exe
> Found: c:\usr\cpp.exe
> Warning: c:\GNAT\bin\cpp.exe hides c:\usr\cpp.exe
-8<-

This is your big problem.  Cygcheck should not be able to find this.
===
"Earnie Boyd" <mailto:[email-masked]>
CYGWIN RELATED HELP:
 DOCUMENTATION: <http://sourceware.cygnus.com/cygwin/docs.html>
       DLLHELP: <http://www.xraylith.wisc.edu/~khan/software/gnu-win32/>
ARCHIVE SEARCH: <http://www.delorie.com/archives/> OR
                <http://www.eGroups.com/list/gnu-win32/>
_____________________________________________________________
Do You Yahoo!?
Free instant messaging and more at http://messenger.yahoo.com

--
Want to unsubscribe from this list?
Send a message to [email-masked]